can we downgrade firmware

I believe there might be a bug in the 1.7.3500 firmware for VeraEdge. Can we downgrade to a previous firmware?

For over 3 months now, I have not been able to successfully pair a new Monoprice 4-in-1 motion sensor to the VeraEdge. It detects no motion and comes up with “can’t detect device” about an hour after I manually wake the device using a paperclip push of the pin.

I have tried 4 different devices, each time getting an exchange from Monoprice, which as become a painful ordeal.

NOTE: there are 2 identical Monoprice 4-in-1 motion sensors previously paired (about 4 months ago) with the same VeraEdge and it is still working just fine.

What else can it be?

yes you can. Just use the URL to the firmware you need. Most of them are on various thread on this forum. I am thinking about doing the same to brute force include a couple of devices which used to pair easily and now have all kinds of issues.

http://support.getvera.com/customer/portal/topics/666697-release-notes/articles